การลงนาม

GET https://0o0.online/api/signatures/
curl --request GET \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
พารามิเตอร์ รายละเอียด คำอธิบาย
search ตัวเลือก แรง ลวดค้นหา
search_by ตัวเลือก แรง หมายเลขที่ได้รับอนุญาตคือ: name.
datetime_field ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: datetime, last_datetime
datetime_start ตัวเลือก แรง การกรองผลเริ่มต้นจากวันที่นี้ Y-m-d H:i:s รูปแบบ
datetime_end ตัวเลือก แรง กรองผลให้ถึงวันที่นี้ Y-m-d H:i:s รูปแบบ
order_by ตัวเลือก แรง ตารางที่ให้ผลลัพธ์โดย. หมายเลขที่ได้รับอนุญาตคือ: signature_id, datetime, last_datetime, name.
order_type ตัวเลือก แรง การสั่งซื้อของผลลัพธ์ หมายเลขที่ได้รับอนุญาตคือ: ASC สําหรับคําสั่งที่สูงขึ้นและ DESC สําหรับคําสั่งซื้อที่ลง
page ตัวเลือก ภายใน หมายเลขหน้าที่คุณต้องการผลลัพธ์จาก. ข้อผิดพลาดในการ 1.
results_per_page ตัวเลือก ภายใน จํานวนผลที่คุณต้องการต่อหน้า หมายเลขที่ได้รับอนุญาตคือ: 10, 25, 50, 100, 250, 500, 1000. ข้อผิดพลาดของ 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "[email protected]",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-10-16 03:18:04"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://0o0.online/api/signatures?page=1",
        "last": "https://0o0.online/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://0o0.online/api/signatures?page=1"
    }
}
GET https://0o0.online/api/signatures/{signature_id}
curl --request GET \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "[email protected]",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-10-16 03:18:04"
    }
}
POST https://0o0.online/api/signatures
พารามิเตอร์ รายละเอียด คำอธิบาย
name จำเป็น แรง ชื่อ
project_id ตัวเลือก ภายใน โครงการจะช่วยให้คุณจัดหมวดหมู่ทรัพยากรของคุณ
template ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: plain_text, mars, mercury, venus, nova
direction ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: ltr, rtl
is_removed_branding ตัวเลือก บอลเลน ลบแบรนด์
image_url ตัวเลือก แรง เพียงแค่ใช้ JPG, JPEG, GIF, PNG รูปภาพ
sign_off ตัวเลือก แรง ลงทะเบียน
full_name ตัวเลือก แรง ชื่อเต็ม
job_title ตัวเลือก แรง ชื่องาน
department ตัวเลือก แรง สํานักงาน
company ตัวเลือก แรง บริษัท
email ตัวเลือก แรง อีเมล
website_name ตัวเลือก แรง ชื่อเว็บไซต์
website_url ตัวเลือก แรง เว็บไซต์ URL
address ตัวเลือก แรง ที่อยู่
address_url ตัวเลือก แรง เชื่อมต่อ A Google ตัวอย่างเช่นแผนที่ตําแหน่ง
phone_number ตัวเลือก แรง โทรศัพท์
whatsapp ตัวเลือก แรง WhatsApp
facebook_messenger ตัวเลือก แรง Facebook ชื่อผู้ใช้
telegram ตัวเลือก แรง Telegram ชื่อผู้ใช้
disclaimer ตัวเลือก แรง คําอธิบายข้อความ
font_family ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: arial, verdana, helvetica, times_new_roman, georgia
font_size ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 12-18
width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 300-600
image_width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 45-150
image_border_radius ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-100
socials_width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 15-30
socials_padding ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 5-15
separator_size ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-5
border_radius ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-30
background_color ตัวเลือก แรง สีพื้นหลัง
border_color ตัวเลือก แรง สีชายแดน
theme_color ตัวเลือก แรง ธีมสี
full_name_color ตัวเลือก แรง ชื่อเต็มสี
text_color ตัวเลือก แรง สีข้อความ
link_color ตัวเลือก แรง ลิงค์สี
facebook ตัวเลือก แรง Facebook ชื่อผู้ใช้
threads ตัวเลือก แรง ชื่อผู้ใช้
x ตัวเลือก แรง X ชื่อผู้ใช้
instagram ตัวเลือก แรง Instagram ชื่อผู้ใช้
youtube ตัวเลือก แรง YouTube ช่อง
tiktok ตัวเลือก แรง TikTok ชื่อผู้ใช้
spotify ตัวเลือก แรง Spotify ชื่อผู้ใช้
pinterest ตัวเลือก แรง Pinterest ชื่อผู้ใช้
linkedin ตัวเลือก แรง LinkedIn ชื่อผู้ใช้
snapchat ตัวเลือก แรง Snapchat ชื่อผู้ใช้
twitch ตัวเลือก แรง Twitch ชื่อผู้ใช้
discord ตัวเลือก แรง Discord ID ของผู้ใช้
github ตัวเลือก แรง ชื่อผู้ใช้ GitHub
reddit ตัวเลือก แรง Reddit ชื่อผู้ใช้
curl --request POST \
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "[email protected]",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-10-16 03:18:04"
    }
}
POST https://0o0.online/api/signatures/{signature_id}
พารามิเตอร์ รายละเอียด คำอธิบาย
name ตัวเลือก แรง ชื่อ
project_id ตัวเลือก ภายใน โครงการจะช่วยให้คุณจัดหมวดหมู่ทรัพยากรของคุณ
template ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: plain_text, mars, mercury, venus, nova
direction ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: ltr, rtl
is_removed_branding ตัวเลือก บอลเลน ลบแบรนด์
image_url ตัวเลือก แรง เพียงแค่ใช้ JPG, JPEG, GIF, PNG รูปภาพ
sign_off ตัวเลือก แรง ลงทะเบียน
full_name ตัวเลือก แรง ชื่อเต็ม
job_title ตัวเลือก แรง ชื่องาน
department ตัวเลือก แรง สํานักงาน
company ตัวเลือก แรง บริษัท
email ตัวเลือก แรง อีเมล
website_name ตัวเลือก แรง ชื่อเว็บไซต์
website_url ตัวเลือก แรง เว็บไซต์ URL
address ตัวเลือก แรง ที่อยู่
address_url ตัวเลือก แรง เชื่อมต่อ A Google ตัวอย่างเช่นแผนที่ตําแหน่ง
phone_number ตัวเลือก แรง โทรศัพท์
whatsapp ตัวเลือก แรง WhatsApp
facebook_messenger ตัวเลือก แรง Facebook ชื่อผู้ใช้
telegram ตัวเลือก แรง Telegram ชื่อผู้ใช้
disclaimer ตัวเลือก แรง คําอธิบายข้อความ
font_family ตัวเลือก แรง หมายเลขที่ได้รับอนุญาต: arial, verdana, helvetica, times_new_roman, georgia
font_size ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 12-18
width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 300-600
image_width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 45-150
image_border_radius ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-100
socials_width ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 15-30
socials_padding ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 5-15
separator_size ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-5
border_radius ตัวเลือก ภายใน หมายเลขที่ได้รับอนุญาต: 0-30
background_color ตัวเลือก แรง สีพื้นหลัง
border_color ตัวเลือก แรง สีชายแดน
theme_color ตัวเลือก แรง ธีมสี
full_name_color ตัวเลือก แรง ชื่อเต็มสี
text_color ตัวเลือก แรง สีข้อความ
link_color ตัวเลือก แรง ลิงค์สี
facebook ตัวเลือก แรง Facebook ชื่อผู้ใช้
threads ตัวเลือก แรง ชื่อผู้ใช้
x ตัวเลือก แรง X ชื่อผู้ใช้
instagram ตัวเลือก แรง Instagram ชื่อผู้ใช้
youtube ตัวเลือก แรง YouTube ช่อง
tiktok ตัวเลือก แรง TikTok ชื่อผู้ใช้
spotify ตัวเลือก แรง Spotify ชื่อผู้ใช้
pinterest ตัวเลือก แรง Pinterest ชื่อผู้ใช้
linkedin ตัวเลือก แรง LinkedIn ชื่อผู้ใช้
snapchat ตัวเลือก แรง Snapchat ชื่อผู้ใช้
twitch ตัวเลือก แรง Twitch ชื่อผู้ใช้
discord ตัวเลือก แรง Discord ID ของผู้ใช้
github ตัวเลือก แรง ชื่อผู้ใช้ GitHub
reddit ตัวเลือก แรง Reddit ชื่อผู้ใช้
curl --request POST \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "[email protected]",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-10-16 03:18:04",
        "datetime": "2026-10-16 03:18:04"
    }
}
DELETE https://0o0.online/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \